#include <string.h>

#include "bastypes.h"

void StringOneLine (char* p)
{
  int i;

  for (i=0;i<(int)strlen(p);i++)
  {
    if ((p[i] == '\r') || (p[i] == '\n'))
    {
      p[i] = 0; return;
    }
  }
}

tU8 StringHasAlpha (char* p)
{
  int i;

  for (i=0;i<(int)strlen(p);i++)
  {
    if ((p[i] >= 'a') && (p[i] <= 'z') || (p[i] >= 'A') && (p[i] <= 'Z')) return 1;
  }
  return 0;
}


